# JSDoc: Namespace: hardware

# Namespace: hardware

## hardware

Source:
  - hardware.js, line 7

### Methods

#### (static) getBatteryDetails() → {Object}

Returns battery details

Source:
  - hardware.js, line 126

##### Returns:

Type
  Object

#### (static) getCpuArch() → {String}

Source:
  - hardware.js, line 18

##### Returns:

CPU type

Type
  String

#### (static) getCpuCores() → {String}

Returns number of CPU cores

Source:
  - hardware.js, line 48

##### Returns:

Type
  String

#### (static) getCpuDetails() → {String}

Returns CPU details

Source:
  - hardware.js, line 64

##### Returns:

Type
  String

#### (static) getGpuDetails() → {object}

Returns GPU details

Source:
  - hardware.js, line 75

##### Returns:

Type
  object

#### (static) getMemory() → {String}

Returns RAM (GiB)

Source:
  - hardware.js, line 110

##### Returns:

Type
  String

#### (static) getScreenSize() → {Object}

Returns zombie screen size and color depth.

Source:
  - hardware.js, line 150

##### Returns:

Type
  Object

#### (static) isEricsson() → {Boolean}

Is Ericsson?

Source:
  - hardware.js, line 227

##### Returns:

true or false.

Type
  Boolean

#### (static) isGameConsole() → {Boolean}

Returns true if the browser is on a game console

Source:
  - hardware.js, line 263

##### Returns:

true or false

Type
  Boolean

#### (static) isGoogle() → {Boolean}

Is Google?

Source:
  - hardware.js, line 243

##### Returns:

true or false.

Type
  Boolean

#### (static) isHtc() → {Boolean}

Is HTC?

Source:
  - hardware.js, line 219

##### Returns:

true or false.

Type
  Boolean

#### (static) isLaptop() → {Boolean}

Is a Laptop?

Source:
  - hardware.js, line 190

##### Returns:

true or false.

Type
  Boolean

#### (static) isMobileDevice() → {Boolean}

Returns true if the browser is on a Mobile device

Source:
  - hardware.js, line 253

##### Returns:

true or false

Type
  Boolean

#### (static) isMotorola() → {Boolean}

Is Motorola?

Source:
  - hardware.js, line 235

##### Returns:

true or false.

Type
  Boolean

#### (static) isNokia() → {Boolean}

Is Nokia?

Source:
  - hardware.js, line 203

##### Returns:

true or false.

Type
  Boolean

#### (static) isTouchEnabled() → {Boolean}

Is touch enabled?

Source:
  - hardware.js, line 162

##### Returns:

true or false.

Type
  Boolean

#### (static) isVirtualMachine() → {Boolean}

Is virtual machine?

Source:
  - hardware.js, line 171

##### Returns:

true or false.

Type
  Boolean

#### (static) isZune() → {Boolean}

Is Zune?

Source:
  - hardware.js, line 211

##### Returns:

true or false.

Type
  Boolean